
Name:           kimagemapeditor
Version:        23.08.5
Release:        %mkrel 1
Summary:        HTML imagemap editor for KDE
License:        GPLv2+
Group:          Graphical desktop/KDE5
Url:            https://www.kde.org/applications/development/kimagemapeditor/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5kdelibs4support-devel
BuildRequires: lib64kf5khtml-devel
BuildRequires: lib64kf5parts-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel

%description
KImageMapEditor is an HTML imagemap editor for KDE. It allows you to create and
modify HTML imagemaps.

%files -f %name.lang
%_kf5_datadir/qlogging-categories5
%_kf5_bindir/kimagemapeditor
%_kf5_datadir/*/org.kde.kimagemapeditor.appdata.xml
%_kf5_datadir/applications/org.kde.kimagemapeditor.desktop
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kimagemapeditor/
%_kf5_datadir/kservices5/kimagemapeditorpart.desktop
/usr/lib64/qt5/plugins/kf5/parts/kimagemapeditorpart.so

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kimagemapeditor handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name}

%description    handbook
This package provides kimagemapeditor handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kimagemapeditor

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"


%cmake_kf5 -GNinja

%ninja_build

%install
%ninja_install -C build
%find_lang %name --all-name



%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

